StarObjectSpreadsheetInternal::Cell Class Reference documentation

StarObjectSpreadsheetInternal::Cell Class Reference

Internal: the cell of a StarObjectSpreadsheet. More...

Inheritance diagram for StarObjectSpreadsheetInternal::Cell:

## Public Member Functions
| Cell (STOFFVec2i pos=STOFFVec2i(0, 0))
| constructor
| ~Cell ()
| destructor
Public Member Functions inherited from STOFFCell
| STOFFCell ()
| constructor
virtual | ~STOFFCell ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| adds to the propList
virtual bool | send (STOFFListenerPtr listener, STOFFTable &table)
| function called when a cell is send by STOFFTable to send a cell to a listener.
virtual bool | sendContent (STOFFListenerPtr listener, STOFFTable &table)
| function called when the content of a cell must be send to the listener, ie.
STOFFVec2i const & | position () const
| position accessor
void | setPosition (STOFFVec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2
STOFFBox2f const & | bdBox () const
| bdbox accessor
void | setBdBox (STOFFBox2f box)
| set the bdbox (unit point)
STOFFVec2f const & | bdSize () const
| bdbox size accessor
void | setBdSize (STOFFVec2f sz)
| set the bdbox size(unit point)
Format const & | getFormat () const
| returns the cell format
void | setFormat (Format const &format)
| set the cell format
STOFFFont const & | getFont () const
| returns the font
void | setFont (STOFFFont const &font)
| set the font
STOFFCellStyle const & | getCellStyle () const
| returns the cell style
STOFFCellStyle & | getCellStyle ()
| returns the cell style
void | setCellStyle (STOFFCellStyle const &cellStyle)
| set the cell style
librevenge::RVNGPropertyList const & | getNumberingStyle () const
| returns the numbering style
librevenge::RVNGPropertyList & | getNumberingStyle ()
| returns the numbering style
void | setNumberingStyle (librevenge::RVNGPropertyList const &numberStyle)
| set the numbering style

## Public Attributes
STOFFCellContent | m_content
| the cell content
shared_ptr< StarObjectSmallText > | m_textZone
| the text zone(if set)
bool | m_hasNote
| flag to know if the cell has some note
librevenge::RVNGString | m_notes [3]
| the notes text, date, author

## Additional Inherited Members
Public Types inherited from STOFFCell
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_DATETIME , F_UNKNOWN }
| the different format of a cell's content More...
enum | NumberType { F_NUMBER_CURRENCY , F_NUMBER_DECIMAL , F_NUMBER_FRACTION , F_NUMBER_GENERIC , F_NUMBER_SCIENTIFIC , F_NUMBER_PERCENT , F_NUMBER_UNKNOWN }
| the different number format of a cell's content More...
Static Public Member Functions inherited from STOFFCell
static std::string | getCellName (STOFFVec2i const &pos, STOFFVec2b const &absolute)
| return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2
static std::string | getColumnName (int col)
| return the column name
Protected Attributes inherited from STOFFCell
STOFFVec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2
STOFFBox2f | m_bdBox
| the cell bounding box (unit in point)
STOFFVec2f | m_bdSize
| the cell bounding size : unit point
Format | m_format
| the cell format
STOFFFont | m_font
| the cell font
STOFFCellStyle | m_cellStyle
| the cell cell style
librevenge::RVNGPropertyList | m_numberingStyle
| the numbering style

## Detailed Description

Internal: the cell of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ Cell()

StarObjectSpreadsheetInternal::Cell::Cell | ( | STOFFVec2i | pos = STOFFVec2i(0,0) | ) |
| inlineexplicit

constructor

## ◆ ~Cell()

StarObjectSpreadsheetInternal::Cell::~Cell | ( |  | ) |

destructor

## Member Data Documentation

## ◆ m_content

STOFFCellContent StarObjectSpreadsheetInternal::Cell::m_content

the cell content

Referenced by Cell(), StarObjectSpreadsheet::readCalcDocument(), StarObjectSpreadsheet::readSCData(), and StarObjectSpreadsheet::sendCell().

## ◆ m_hasNote

bool StarObjectSpreadsheetInternal::Cell::m_hasNote

flag to know if the cell has some note

Referenced by Cell(), StarObjectSpreadsheet::readSCColumn(), and StarObjectSpreadsheet::sendCell().

## ◆ m_notes

librevenge::RVNGString StarObjectSpreadsheetInternal::Cell::m_notes[3]

the notes text, date, author

Referenced by StarObjectSpreadsheet::readSCColumn(), and StarObjectSpreadsheet::sendCell().

## ◆ m_textZone

shared_ptr<StarObjectSmallText> StarObjectSpreadsheetInternal::Cell::m_textZone

the text zone(if set)

Referenced by Cell(), StarObjectSpreadsheet::readSCData(), and StarObjectSpreadsheet::sendCell().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx